Subject: Re: bug#35681: grep's ./configure doesn't work with plain /bin/sh

From: L A Walsh <[email-masked]>
Date: Sun, 12 May 2019 01:14:24 -0700

On 5/10/2019 3:49 PM, Miro Kropáček wrote:
> Hi,
>
> I found this today by accident - it seems that grep's ./configure
> doesn't work with so called minimal bash (enabled in bash's configure
> via --enable-minimal-config).
>
> One can verify that not only by the failed ./configure process but
> also by content of config.log - there are several messages like:
>
> configure:3536: error: fn_grep: expected pattern
>
> Tested on the latest (3.3) version. If there are good reasons why
> ./configure needs full bash, I guess it shouldn't reference /bin/sh in
> that case.
>
> Cheers,
> Miro
>
>
>   
Is it documented somewhere that bash's minimal config is POSIX compliant?
I'm not sure, off hand.

cc: bug-bash for comments there: